Get All Crons
Description
This API enables you to retrieve details of all Pre-defined crons present in the project.
Note: This API is only applicable for Pre-defined crons.
Request Details
Request URL
GET
{app_domain}/baas/v1/project/{project_id}/job_scheduling/cron
copy
project_id
Numerical
The unique ID of the project
cron_name
String
The name of the cron
Request Headers
Authorization: Zoho-oauthtoken {oauth_token}
Optional Headers
CATALYST-ORG: {org_id}
Environment: Development
Scope
ZohoCatalyst.cron.READ
Response Details
The JSON response returns the metadata of all the crons present in the project. The response will also contain the details of the user who created and last modified the cron.
Sample Request
copy
curl -X GET
https://api.catalyst.zoho.com/baas/v1/project/10278000000019013/job_scheduling/cron
-H “Authorization: Zoho-oauthtoken 1000.91016.2f57”
Sample Response
copy
{
"status": "success",
"data": [
{
"cron_name": "circuitCron",
"cron_type": "Calendar",
"cron_execution_type": "pre-defined",
"job_meta": {
"id": "10108000004280089",
"job_name": "j",
"job_config": {
"number_of_retries": 0
},
"target_type": "Circuit",
"target_details": {
"id": "10108000004194246",
"target_name": "abc"
},
"source_type": "Cron",
"source_details": {
"id": "10108000004280087",
"source_name": "circuitCron",
"details": {
"cron_execution_type": "pre-defined"
}
},
"jobpool_id": "10108000003823699",
"jobpool_details": {
"type": "Circuit",
"name": "InventoryDataMaintaince",
"created_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"created_time": "May 28, 2024 04:49 PM",
"modified_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"modified_time": "May 28, 2024 04:49 PM",
"capacity": {
"number": "3"
},
"project_details": {
"project_name": "ZylkerShipments",
"id": "10108000003823392",
"project_type": "Live"
},
"id": "10108000003823699"
},
"headers": {},
"params": {
"key1": "value1",
"key2": "value2",
"key3": "value3"
}
},
"cron_status": true,
"created_time": "Jun 07, 2024 11:09 AM",
"created_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"modified_time": "Jun 07, 2024 11:09 AM",
"modified_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"project_details": {
"project_name": "ZylkerShipments",
"id": "10108000003823392",
"project_type": "Live"
},
"end_time": "1717871399",
"cron_detail": {
"hour": 4,
"minute": 3,
"second": 0,
"repetition_type": "daily",
"timezone": "Asia/Kolkata"
},
"success_count": 0,
"failure_count": 0,
"id": "10108000004280087"
},
{
"cron_name": "functionCron",
"description": "functionCron",
"cron_type": "CronExpression",
"cron_execution_type": "pre-defined",
"cron_expression": "* * * * *",
"job_meta": {
"id": "10108000004280074",
"url": "",
"job_name": "functionJob",
"job_config": {
"number_of_retries": 0
},
"target_type": "Function",
"target_details": {
"id": "10108000003823893",
"target_name": "target_function_fetch"
},
"source_type": "Cron",
"source_details": {
"id": "10108000004280072",
"source_name": "functionCron",
"details": {
"cron_execution_type": "pre-defined"
}
},
"jobpool_id": "10108000003823563",
"jobpool_details": {
"type": "Function",
"name": "VendorReminder",
"created_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"created_time": "May 28, 2024 04:44 PM",
"modified_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"modified_time": "May 28, 2024 04:44 PM",
"capacity": {
"memory": "2048"
},
"project_details": {
"project_name": "ZylkerShipments",
"id": "10108000003823392",
"project_type": "Live"
},
"id": "10108000003823563"
},
"headers": {},
"params": {
"p1": "v1"
}
},
"cron_status": true,
"created_time": "Jun 07, 2024 11:08 AM",
"created_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"modified_time": "Jun 07, 2024 11:08 AM",
"modified_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"project_details": {
"project_name": "ZylkerShipments",
"id": "10108000003823392",
"project_type": "Live"
},
"end_time": "1718908199",
"cron_detail": {
"hour": 0,
"minute": 0,
"second": 0,
"timezone": "Asia/Kolkata"
},
"success_count": 0,
"failure_count": 0,
"id": "10108000004280072"
},
{
"cron_name": "abcUpdated",
"cron_type": "OneTime",
"cron_execution_type": "pre-defined",
"job_meta": {
"id": "10108000004153012",
"url": "https://www.google.com",
"job_name": "j",
"job_config": {
"number_of_retries": 0
},
"target_type": "Webhook",
"target_details": {
"target_name": "https://www.google.com"
},
"source_type": "Cron",
"source_details": {
"id": "10108000004152971",
"source_name": "abcUpdated",
"details": {
"cron_execution_type": "pre-defined"
}
},
"jobpool_id": "10108000003823632",
"jobpool_details": {
"type": "Webhook",
"name": "VendorDataFetch",
"created_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"created_time": "May 28, 2024 04:47 PM",
"modified_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"modified_time": "May 28, 2024 04:47 PM",
"capacity": {
"number": "3"
},
"project_details": {
"project_name": "ZylkerShipments",
"id": "10108000003823392",
"project_type": "Live"
},
"id": "10108000003823632"
},
"request_method": "get"
},
"cron_status": false,
"created_time": "Jun 04, 2024 03:56 PM",
"created_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"modified_time": "Jun 04, 2024 03:57 PM",
"modified_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"project_details": {
"project_name": "ZylkerShipments",
"id": "10108000003823392",
"project_type": "Live"
},
"end_time": "-1",
"cron_detail": {
"time_of_execution": 1717612200,
"hour": 0,
"minute": 0,
"second": 0,
"timezone": "Asia/Kolkata"
},
"success_count": 0,
"failure_count": 0,
"id": "10108000004152971"
},
{
"cron_name": "abcupdate",
"description": "abc",
"cron_type": "OneTime",
"cron_execution_type": "pre-defined",
"job_meta": {
"id": "10108000004108000",
"url": "https://www.google.com",
"job_name": "j",
"job_config": {
"number_of_retries": 0
},
"target_type": "Webhook",
"target_details": {
"target_name": "https://www.google.com"
},
"source_type": "Cron",
"source_details": {
"id": "10108000004107959",
"source_name": "abcupdate",
"details": {
"cron_execution_type": "pre-defined"
}
},
"jobpool_id": "10108000003823632",
"jobpool_details": {
"type": "Webhook",
"name": "VendorDataFetch",
"created_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"created_time": "May 28, 2024 04:47 PM",
"modified_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"modified_time": "May 28, 2024 04:47 PM",
"capacity": {
"number": "3"
},
"project_details": {
"project_name": "ZylkerShipments",
"id": "10108000003823392",
"project_type": "Live"
},
"id": "10108000003823632"
},
"headers": {},
"params": {},
"request_method": "get"
},
"cron_status": false,
"created_time": "Jun 03, 2024 05:19 PM",
"created_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"modified_time": "Jun 03, 2024 05:20 PM",
"modified_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"project_details": {
"project_name": "ZylkerShipments",
"id": "10108000003823392",
"project_type": "Live"
},
"end_time": "-1",
"cron_detail": {
"time_of_execution": 1717623183,
"hour": 0,
"minute": 0,
"second": 0,
"timezone": "Asia/Kolkata"
},
"success_count": 0,
"failure_count": 0,
"id": "10108000004107959"
}
]
}
Yes
No
Send your feedback to us
Skip
Submit